=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-core, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-humble-ament-cmake-core, ros-humble-ament-cmake-test, ros-humble-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2
